Skip to main content
PUT
Update a Line Item Group

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

invoice
string
required

The Invoice ID

id
string
required

Line Item Group ID

Body

application/json
title
string
required

Line Item Group Title

Example:

"Users"

description
string

Line Item Group Description

Example:

"Charges for users"

taxCategoryId
string

The tax category for all line items in this line item group

Example:

"28227c88-6dba-455f-9b30-b9c76957e610"

revenueRecognitionMethod
enum<string>

The revenue recognition method for all line items in this line item group

Available options:
STRAIGHT_LINE,
USAGE,
MILESTONE,
POINT_IN_TIME
Example:

"STRAIGHT_LINE"

revenueClassification
enum<string>

The revenue classification for all line items in this line item group

Available options:
PREPAYMENT,
EARNED,
BURNDOWN
Example:

"EARNED"

servicePeriod
object

Billing period

Example:
index
integer

Index (for maintaining order)

Example:

10

Response

OK

id
string
required

Line Item Group ID

Example:

"941272d1-f840-4e16-b698-0cd455c81e0e"

invoiceId
string
required

Invoice ID

Example:

"cd11218d-fa00-4faa-8684-a43113d076a8"

title
string
required

Line Item Group Title

Example:

"Cars"

index
integer
required

Index (for maintaining order)

Example:

1

netTotal
string
required

Net total, in decimal format of the Invoice's currency

Example:

"200000"

totalTax
string
required

Total tax, in decimal format of the Invoice's currency

Example:

"10"

grossTotal
string
required

Gross total, in decimal format of the Invoice's currency

Example:

"22000"

description
string

Line Item Group Description

Example:

"Charges for cars"

taxCategory
object

The tax category for all line items in this line item group

Example: